Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class TagConstants

    java.lang.Object
      javafe.ast.GeneratedTags
          javafe.ast.OperatorTags
              javafe.ast.TagConstants

Direct Known Subclasses:
  TagConstants

public class TagConstants
extends OperatorTags

`TagConstants` is a class defining a partially-opaque type for tags used in the AST. "Partially opaque" means that the representation of this type is known -- it's an `int` -- but code should not depend on the detailed mapping of operator tags to integers.

See Also:
  `OperatorTags`, `GeneratedTags`

Field Summary
`static int` | `BOOLEANLIT`
`static int` | `BOOLEANTYPE`
`static int` | `BYTELIT`
`static int` | `BYTETYPE`
`static int` | `CHARLIT`
`static int` | `CHARTYPE`
`static int` | `DOUBLELIT`
`static int` | `DOUBLETYPE`
`static int` | `ERRORTYPE`
`static int` | `FLOATLIT`
`static int` | `FLOATTYPE`
`static int` | `IDENT`
`static int` | `INTLIT`
`static int` | `INTTYPE`
`static int` | `LAST_TAG`
`static int` | `LONGLIT`
`static int` | `LONGTYPE`
`static int` | `NULL` Used to indicate that no tag applies, for example, when looking up the tag associated with a string.
`static int` | `NULLLIT`
`static int` | `NULLTYPE`
`static int` | `SHORTLIT`
`static int` | `SHORTTYPE`
`static int` | `STRINGLIT`
`private static java.lang.String[]` | `tags`
`static int` | `VOIDTYPE`

Fields inherited from class javafe.ast.OperatorTags
`ADD, AND, ASGADD, ASGBITAND, ASGBITOR, ASGBITXOR, ASGDIV, ASGLSHIFT, ASGMUL, ASGREM, ASGRSHIFT, ASGSUB, ASGURSHIFT, ASSIGN, BITAND, BITNOT, BITOR, BITXOR, DEC, DIV, EQ, FIRST_TAG, GE, GT, INC, LE, LSHIFT, LT, MOD, NE, NOT, OR, POSTFIXDEC, POSTFIXINC, RSHIFT, STAR, SUB, UNARYADD, UNARYSUB, URSHIFT`

Fields inherited from class javafe.ast.GeneratedTags
`AMBIGUOUSMETHODINVOCATION, AMBIGUOUSVARIABLEACCESS, ARRAYINIT, ARRAYREFEXPR, ARRAYTYPE, ASSERTSTMT, BLOCKSTMT, BREAKSTMT, CASTEXPR, CATCHCLAUSE, CLASSDECL, CLASSDECLSTMT, CLASSLITERAL, COMPILATIONUNIT, COMPOUNDNAME, CONDEXPR, CONSTRUCTORDECL, CONSTRUCTORINVOCATION, CONTINUESTMT, DOSTMT, EVALSTMT, EXPROBJECTDESIGNATOR, FIELDACCESS, FIELDDECL, FORMALPARADECL, FORSTMT, IFSTMT, INITBLOCK, INSTANCEOFEXPR, INTERFACEDECL, LABELSTMT, LOCALVARDECL, METHODDECL, METHODINVOCATION, NEWARRAYEXPR, NEWINSTANCEEXPR, ONDEMANDIMPORTDECL, PARENEXPR, RETURNSTMT, SIMPLENAME, SINGLETYPEIMPORTDECL, SKIPSTMT, SUPEROBJECTDESIGNATOR, SWITCHLABEL, SWITCHSTMT, SYNCHRONIZESTMT, THISEXPR, THROWSTMT, TRYCATCHSTMT, TRYFINALLYSTMT, TYPENAME, TYPEOBJECTDESIGNATOR, VARDECLSTMT, VARIABLEACCESS, WHILESTMT`

Constructor Summary
`TagConstants()`

Method Summary
`static java.lang.String` | `toString(int tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final int NULL

  Used to indicate that no tag applies, for example, when looking up the tag associated with a string.

  See Also:
    Constant Field Values

### IDENT

    public static final int IDENT

See Also:
  Constant Field Values

### ERRORTYPE

    public static final int ERRORTYPE

See Also:
  Constant Field Values

### BOOLEANTYPE

    public static final int BOOLEANTYPE

See Also:
  Constant Field Values

### CHARTYPE

    public static final int CHARTYPE

See Also:
  Constant Field Values

### VOIDTYPE

    public static final int VOIDTYPE

See Also:
  Constant Field Values

### NULLTYPE

    public static final int NULLTYPE

See Also:
  Constant Field Values

### BYTETYPE

    public static final int BYTETYPE

See Also:
  Constant Field Values

### SHORTTYPE

    public static final int SHORTTYPE

See Also:
  Constant Field Values

### INTTYPE

    public static final int INTTYPE

See Also:
  Constant Field Values

### LONGTYPE

    public static final int LONGTYPE

See Also:
  Constant Field Values

### FLOATTYPE

    public static final int FLOATTYPE

See Also:
  Constant Field Values

### DOUBLETYPE

    public static final int DOUBLETYPE

See Also:
  Constant Field Values

### BOOLEANLIT

    public static final int BOOLEANLIT

See Also:
  Constant Field Values

### INTLIT

    public static final int INTLIT

See Also:
  Constant Field Values

### LONGLIT

    public static final int LONGLIT

See Also:
  Constant Field Values

### CHARLIT

    public static final int CHARLIT

See Also:
  Constant Field Values

### FLOATLIT

    public static final int FLOATLIT

See Also:
  Constant Field Values

### DOUBLELIT

    public static final int DOUBLELIT

See Also:
  Constant Field Values

### STRINGLIT

    public static final int STRINGLIT

See Also:
  Constant Field Values

### NULLLIT

    public static final int NULLLIT

See Also:
  Constant Field Values

### BYTELIT

    public static final int BYTELIT

See Also:
  Constant Field Values

### SHORTLIT

    public static final int SHORTLIT

See Also:
  Constant Field Values

### LAST_TAG

    public static final int LAST_TAG

See Also:
  Constant Field Values

### tags

    private static final java.lang.String[] tags

Constructor Detail

### TagConstants

    public TagConstants()

Method Detail

### toString

    public static java.lang.String toString(int tag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage